From 8ffbb26f5150f2ecdce44100c126cf6c183933cd Mon Sep 17 00:00:00 2001
From: JingLu5 <lvjing5@huawei.com>
Date: Tue, 11 Jul 2017 02:34:41 +0000
Subject: Open storperf testcase to huawei-pod2

JIRA: YARDSTICK-712

Change-Id: If91c936a3a59580a987cb6762db5d063edf6c9d7
Signed-off-by: JingLu5 <lvjing5@huawei.com>
---
 tests/ci/prepare_env.sh                             |  8 ++++----
 tests/ci/scp_storperf_files.sh                      | 21 ++++++++++++++++++---
 tests/ci/yardstick-verify                           |  4 ++--
 tests/opnfv/test_cases/opnfv_yardstick_tc074.yaml   |  3 ++-
 .../opnfv_os-nosdn-nofeature-ha_daily.yaml          |  6 ++++--
 5 files changed, 30 insertions(+), 12 deletions(-)

(limited to 'tests')

diff --git a/tests/ci/prepare_env.sh b/tests/ci/prepare_env.sh
index 3d9cc298f..c3ee4c76b 100755
--- a/tests/ci/prepare_env.sh
+++ b/tests/ci/prepare_env.sh
@@ -11,7 +11,7 @@
 # Perepare the environment to run yardstick ci
 
 : ${DEPLOY_TYPE:='bm'} # Can be any of 'bm' (Bare Metal) or 'virt' (Virtual)
-
+: ${INSTALLER_TYPE:='unknown'}
 : ${NODE_NAME:='unknown'}
 : ${EXTERNAL_NETWORK:='admin_floating_net'}
 
@@ -61,9 +61,9 @@ export EXTERNAL_NETWORK INSTALLER_TYPE DEPLOY_TYPE NODE_NAME
 # Prepare a admin-rc file for StorPerf integration
 $YARDSTICK_REPO_DIR/tests/ci/prepare_storperf_admin-rc.sh
 
-# copy a admin-rc file for StorPerf integration to the deployment location
-if [ "$NODE_NAME" == "huawei-pod1" ]; then
-    bash $YARDSTICK_REPO_DIR/tests/ci/scp_storperf_files.sh
+# copy Storperf related files to the deployment location
+if [ "$INSTALLER_TYPE" == "compass" ]; then
+    source $YARDSTICK_REPO_DIR/tests/ci/scp_storperf_files.sh
 fi
 
 # Fetching id_rsa file from jump_server..."
diff --git a/tests/ci/scp_storperf_files.sh b/tests/ci/scp_storperf_files.sh
index 234032cf1..ffcc710cb 100644
--- a/tests/ci/scp_storperf_files.sh
+++ b/tests/ci/scp_storperf_files.sh
@@ -12,9 +12,24 @@
 # Copy storperf_admin-rc to deployment location.
 
 ssh_options="-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no"
+
+case "$NODE_NAME" in
+    "huawei-pod1")
+        JUMP_HOST_IP='192.168.10.6'
+        ;;
+    "huawei-pod2")
+        JUMP_HOST_IP='192.168.11.2'
+        ;;
+    *)
+        # no node name, exit
+        exit 1
+        ;;
+esac
+export JUMP_HOST_IP
+
 sshpass -p root scp 2>/dev/null $ssh_options ~/storperf_admin-rc \
-        root@192.168.10.6:/root/ &> /dev/null
+        root@${JUMP_HOST_IP}:/root/ &> /dev/null
 sshpass -p root scp 2>/dev/null $ssh_options /home/opnfv/repos/storperf/docker-compose/docker-compose.yaml \
-        root@192.168.10.6:/root/ &> /dev/null
+        root@${JUMP_HOST_IP}:/root/ &> /dev/null
 sshpass -p root scp 2>/dev/null $ssh_options /home/opnfv/repos/storperf/docker-compose/nginx.conf \
-        root@192.168.10.6:/root/ &> /dev/null
+        root@${JUMP_HOST_IP}:/root/ &> /dev/null
diff --git a/tests/ci/yardstick-verify b/tests/ci/yardstick-verify
index 096ea534f..751cf65f3 100755
--- a/tests/ci/yardstick-verify
+++ b/tests/ci/yardstick-verify
@@ -100,7 +100,7 @@ set -o pipefail
 install_storperf()
 {
     # Install Storper on huawei-pod1
-    if [ "$NODE_NAME" == "huawei-pod1" ]; then
+    if [ "$INSTALLER_TYPE" == "compass" ]; then
         echo
         echo "========== Installing storperf =========="
 
@@ -115,7 +115,7 @@ install_storperf()
 remove_storperf()
 {
     # remove Storper from huawei-pod1
-    if [ "$NODE_NAME" == "huawei-pod1" ]; then
+    if [ "$INSTALLER_TYPE" == "compass" ]; then
         echo
         echo "========== Removing storperf =========="
 
diff --git a/tests/opnfv/test_cases/opnfv_yardstick_tc074.yaml b/tests/opnfv/test_cases/opnfv_yardstick_tc074.yaml
index 5bd3f676f..ef4f02c9e 100644
--- a/tests/opnfv/test_cases/opnfv_yardstick_tc074.yaml
+++ b/tests/opnfv/test_cases/opnfv_yardstick_tc074.yaml
@@ -14,13 +14,14 @@ description: >
     StorPerf is a tool to measure block and object storage performance in an NFVI.
 
 {% set public_network = public_network or "ext-net" %}
-{% set StorPerf_ip = StorPerf_ip or "192.168.10.6" %}
+{% set StorPerf_ip = StorPerf_ip or "192.168.200.1" %}
 scenarios:
 -
   type: StorPerf
   options:
     agent_count: 1
     agent_image: "Ubuntu-16.04"
+    agent_flavor: "storperf"
     public_network: {{public_network}}
     volume_size: 4
     block_sizes: "4096"
diff --git a/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml b/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml
index ba1a93cec..dea44c8b3 100644
--- a/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml
+++ b/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml
@@ -134,10 +134,12 @@ test_cases:
     file_name: opnfv_yardstick_tc074.yaml
     constraint:
         installer: compass
-        pod: huawei-pod1
+        pod: huawei-pod1, huawei-pod2
     task_args:
         huawei-pod1: '{"public_network": "ext-net",
-        "StorPerf_ip": "192.168.200.1"}'
+        "StorPerf_ip": "192.168.10.6"}'
+        huawei-pod2: '{"public_network": "ext-net",
+        "StorPerf_ip": "192.168.11.2"}'
 -
     file_name: opnfv_yardstick_tc075.yaml
     constraint:
-- 
cgit